/*
 * RecoverException.java
 *
 * Created on November 20, 2002, 11:03 PM
 */

package Secret_Share;

/** <P>This exception is thrown when there is an error recovering the secret. These errors are when the supplied arguments are either not valid or insufficient to recover the secret.</P>
 * @author Brice Daniels
 * @version .1
 */
public class RecoverException extends SecretShareException {
    
    /**
     * Creates a new instance of <code>RecoverException</code> without detail message.
     */
    public RecoverException() {
    }
    
    
    /**
     * Constructs an instance of <code>RecoverException</code> with the specified detail message.
     * @param msg the detail message.
     */
    public RecoverException(String msg) {
        super(msg);
    }
}
