/*
 * SecretShareException.java
 *
 * Created on December 8, 2002, 11:51 AM
 */

package Secret_Share;

/** <P>This exception exists to give a general exception to catch all of the Secret Share exceptions. The caller of a secret share function can either use one of the specific exceptions or use this exception to catch just the secret share exceptions thrown by the function. It will not catch all exceptions.</P>
 * @version .1
 * @author Brice Daniels
 */
public class SecretShareException extends java.lang.Exception {
    
    /**
     * Creates a new instance of <code>SecretShareException</code> without detail message.
     */
    public SecretShareException() {
    }
    
    
    /**
     * Constructs an instance of <code>SecretShareException</code> with the specified detail message.
     * @param msg the detail message.
     */
    public SecretShareException(String msg) {
        super(msg);
    }
}
