/*
 * ShareAddException.java
 *
 * Created on November 11, 2002, 3:04 PM
 */

package Secret_Share;

/**
 * <P>This exception is thrown to indicate error with the <CODE>Share.add()</CODE> method.</P>
 * @author Brice Daniels
 * @version .1
 */
public class ShareAddException extends SecretShareException {
    
    /**
     * Creates a new instance of <code>ShareAddException</code> without detail message.
     */
    public ShareAddException() {
    }
    
    
    /**
     * Constructs an instance of <code>ShareAddException</code> with the specified detail message.
     * @param msg the detail message.
     */
    public ShareAddException(String msg) {
        super(msg);
    }
}
