/*
 * SplitException.java
 *
 * Created on November 11, 2002, 3:46 PM
 */

package Secret_Share;

/** <P>This exception is thrown when there is an error splitting the secret.</P>
 * @author Brice Daniels
 * @version .2
 */
public class SplitException extends SecretShareException {
    
    /**
     * Creates a new instance of <code>SplitException</code> without detail message.
     */
    public SplitException() {
    }
    
    
    /**
     * Constructs an instance of <code>SplitException</code> with the specified detail message.
     * @param msg the detail message.
     */
    public SplitException(String msg) {
        super(msg);
    }
}
