/*
 * CryptoException.java
 *
 * Created on December 11, 2002, 4:26 PM
 */

package demo;

/** <P>The exception thrown by the {@link RSACryptoManager RSACryptoManager} to indicate general error.</P>
 * @author Brice Daniels
 * @version .1
 */
public class CryptoException extends java.lang.Exception {
    
    /**
     * Creates a new instance of <code>CryptoException</code> without detail message.
     */
    public CryptoException() {
    }
    
    
    /**
     * Constructs an instance of <code>CryptoException</code> with the specified detail message.
     * @param msg the detail message.
     */
    public CryptoException(String msg) {
        super(msg);
    }
}
