/*
 * MalformedCryptoException.java
 *
 * Created on December 11, 2002, 6:44 PM
 */

package demo;

/** <P>An exception called by {@link RSACryptoManager RSACryptoManager} to indicate an invalid input.
 * @author Brice Daniels
 * @version .1
 */
public class MalformedCryptoException extends java.lang.Exception {
    
    /**
     * Creates a new instance of <code>MalformedCryptoException</code> without detail message.
     */
    public MalformedCryptoException() {
    }
    
    
    /**
     * Constructs an instance of <code>MalformedCryptoException</code> with the specified detail message.
     * @param msg the detail message.
     */
    public MalformedCryptoException(String msg) {
        super(msg);
    }
}
